Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Making Android&pyzmq friendly version with -avoid-version #393

Merged
merged 1 commit into from Jul 4, 2012

Conversation

Projects
None yet
2 participants
Contributor

cyrilh commented Jul 3, 2012

pyzmq bundles a copy of libzmq.so and this fails to load on android. I suspect the reason is that the loaded library libzmq.so refers to itself as libzmq.so.3 and that latter file can't load. I am not 100% sure this patch is the way to go but:

  • this or modifying bundling in pyzmq is required, this works fine
  • I read somewhere else that -avoid-version was needed for Android
Contributor

cyrilh commented Jul 3, 2012

hintjens added a commit that referenced this pull request Jul 4, 2012

Merge pull request #393 from cyrilh/master
Making Android&pyzmq friendly version with -avoid-version

@hintjens hintjens merged commit e7f5929 into zeromq:master Jul 4, 2012

Owner

hintjens commented Jul 4, 2012

@cyrilh could you please create an issue in Jira, and note that it's fixed in 3.3.0?

Owner

hintjens commented Jul 4, 2012

Hmm, if you want this fix on the next stable release (3.2.1), please make the pull request on https://github.com/zeromq/zeromq3-x as well. Thanks!

ianbarber added a commit that referenced this pull request Jul 6, 2012

Merge pull request #395 from hintjens/master
Fixed issue #393 - Android build error

hurtonm added a commit that referenced this pull request Jul 6, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment